package com.zhgd.xmgl.security;

/**
 * @program: devManage
 * @description:
 * @author: Mr.Peng
 * @create: 2019-09-24 11:34
 **/

public class JwtTokenFilterConfigurer  {
//extends SecurityConfigurerAdapter<DefaultSecurityFilterChain, HttpSecurity>
    /*private JwtTokenProvider jwtTokenProvider;

    public JwtTokenFilterConfigurer(JwtTokenProvider jwtTokenProvider) {
        this.jwtTokenProvider = jwtTokenProvider;
    }

    @Override
    public void configure(HttpSecurity http) throws Exception {
        JwtTokenFilter customFilter = new JwtTokenFilter(jwtTokenProvider);
        http.addFilterBefore(customFilter, UsernamePasswordAuthenticationFilter.class);


    }*/
}
